Bug 729246 - Regression: Missing message summary while removing sudooption.
Summary: Regression: Missing message summary while removing sudooption.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 08:48 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:50 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Removing an option from a sudo rule with sudurole-remove-option. Consequence: No summary is displayed after the option is removed. Fix: Define output_for_cli() on the client side to print the summary to avoid updating the output API. Result: A summary is printed in the form Removeded option "x" from Sudo Rule "y"
Clone Of:
Environment:
Last Closed: 2011-12-06 18:29:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-08-09 08:48:14 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ipa-admintools-2.0.99-8.20110804T1127zgiteb0454d.el6.x86_64

How reproducible:


Steps to Reproduce:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: sudorule-remove-option_002: ipa sudorule-remove-option sudorule1 --sudooption="logfile=/var/log/sudolog"
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'ipa sudorule-remove-option sudorule1 --sudooption=logfile=/var/log/sudolog > /tmp/tmp.LyEgVu1CxY/sudorule-remove-option_002.txt 2>&1'
:: [   FAIL   ] :: File '/tmp/tmp.LyEgVu1CxY/sudorule-remove-option_002.txt' should contain 'Removed option "logfile=/var/log/sudolog" from Sudo rule "sudorule1"' 
  Rule name: sudorule1
  Enabled: TRUE
  Sudo Option: env_keep = LANG LC_ADDRESS LC_CTYPE LC_COLLATE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME LC_ALL LANGUAGE LINGUAS XDG_SESSION_COOKIE, !authenticate
:: [   PASS   ] :: Running 'cat /tmp/tmp.LyEgVu1CxY/sudorule-remove-option_002.txt'  

Actual results:
Missing message summary while removing a sudooption.

Expected results:
Message summary should be displayed.

Additional info:
Marking this as REGRESSION since this test passed in
ipa-admintools-2.0.0-25.el6.x86_64.

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: sudorule-remove-option_002: ipa sudorule-remove-option sudorule1 --sudooption="logfile=/var/log/sudolog"
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'ipa sudorule-remove-option sudorule1 --sudooption=logfile=/var/log/sudolog > /tmp/tmp.oQU4qexF3t/sudorule-remove-option_002.txt 2>&1'
:: [   PASS   ] :: File '/tmp/tmp.oQU4qexF3t/sudorule-remove-option_002.txt' should contain 'Removed option "logfile=/var/log/sudolog" from Sudo rule "sudorule1"'
-----------------------
sudorule-remove-option:
-----------------------
--------------------------------------------------------------------
Removed option "logfile=/var/log/sudolog" from Sudo rule "sudorule1"
--------------------------------------------------------------------
:: [   PASS   ] :: Running 'cat /tmp/tmp.oQU4qexF3t/sudorule-remove-option_002.txt'

Comment 3 Dmitri Pal 2011-08-09 16:00:50 UTC
https://fedorahosted.org/freeipa/ticket/1596

Comment 4 Rob Crittenden 2011-08-30 18:37:18 UTC
fixed upstream

master: 327d67fe8db30655315a8616f0c1c5da491910e0

ipa-2-1: 3a355c3b78ba6762a2c2e214616454390913787d

Comment 6 Rob Crittenden 2011-11-01 13:01:14 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Removing an option from a sudo rule with sudurole-remove-option.
Consequence: No summary is displayed after the option is removed.
Fix: Define output_for_cli() on the client side to print the summary to avoid updating the output API.
Result: A summary is printed in the form Removeded option "x" from Sudo Rule "y"

Comment 7 Gowrishankar Rajaiyan 2011-11-02 03:13:16 UTC
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: sudorule-remove-option_002: ipa sudorule-remove-option sudorule1 --sudooption="logfile=/var/log/sudolog"
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'ipa sudorule-remove-option sudorule1 --sudooption=logfile=/var/log/sudolog > /tmp/tmp.jHjyYyUOzz/sudorule-remove-option_002.txt 2>&1'
:: [   PASS   ] :: File '/tmp/tmp.jHjyYyUOzz/sudorule-remove-option_002.txt' should contain 'Removed option "logfile=/var/log/sudolog" from Sudo Rule "sudorule1"'
--------------------------------------------------------------------
Removed option "logfile=/var/log/sudolog" from Sudo Rule "sudorule1"
--------------------------------------------------------------------
  Rule name: sudorule1
  Enabled: TRUE
  Sudo Option: env_keep = LANG LC_ADDRESS LC_CTYPE LC_COLLATE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME LC_ALL LANGUAGE LINGUAS XDG_SESSION_COOKIE, !authenticate
:: [   PASS   ] :: Running 'cat /tmp/tmp.jHjyYyUOzz/sudorule-remove-option_002.txt'
'da5a5401-0bce-49c3-a80d-332d25ec11c1'
sudorule-remove-option-002 result: PASS
   metric: 0
   Log: /tmp/beakerlib-3455158/journal.txt
    Info: Searching AVC errors produced since 1320162285.92 (Tue Nov  1 11:44:45 2011)
     Searching logs...
     Info: No AVC messages found.
 Writing to /mnt/testarea/tmp.eH0V48
:
   AvcLog: /mnt/testarea/tmp.eH0V48

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::


Verified. Version: ipa-server-2.1.3-7.el6.x86_64

Comment 8 errata-xmlrpc 2011-12-06 18:29:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.